Subject: bug#57969: 29.0.50; `device-class' errors when NAME is nil

From: Visuwesh <[email-masked]>
Date: Wed, 21 Sep 2022 17:45:16 +0530

[புதன் செப்டம்பர் 21, 2022] Lars Ingebrigtsen wrote:

> Po Lu <[email-masked]> writes:
>
>> It does say later on that if the type could not be determined, the
>> return value is nil.  So that is what I made it return.
>
> So a nil NAME should lead to `device-class' returning nil?

Po Lu pushed a fixed.  See
https://git.savannah.gnu.org/cgit/emacs.git/commit/?id=3ed9a1b0be024523703397b91c1b2ba66d848596

BTW, the real life scenario where this came up was me trying to scroll
in a pdf-view buffer (from pdf-tools) using the scroll-wheel with
pixel-scroll-precision-mode turned on.  I thought I would mention it in
case you were wondering.